List
curl --request GET \
--url https://api-staging.genuka.com/2023-11/admin/payment-methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-staging.genuka.com/2023-11/admin/payment-methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.genuka.com/2023-11/admin/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"account_id": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"configurations": [],
"id": "01k1d8sk6mz3r0fyqwmqr1y9k7",
"metadata": null,
"name": "Cash",
"processor": "cash",
"status": 1,
"treasury_account": {
"accounting_account_code": "571",
"balance": 26894,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-07-29T09:32:00.000000Z",
"id": "01k1amypn6xycwe7w948jp82zm",
"label": "Cash",
"logoUrl": null,
"metadata": {
"connected_api": false,
"currency_code": "XAF",
"currency_name": "FCFA",
"notification": false
},
"shop_id": null,
"type": "cash",
"updated_at": "2025-10-03T10:35:05.000000Z"
},
"treasury_account_id": "01k1amypn6xycwe7w948jp82zm"
},
{
"account_id": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"configurations": {
"api_token": "********************************"
},
"id": "01k1d8vxr5dbcjpm0gh2yqaf59",
"metadata": null,
"name": "PawaPay",
"processor": "pawapay",
"status": 1,
"treasury_account": {
"accounting_account_code": "538",
"balance": 37934,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-07-30T09:58:30.000000Z",
"id": "01k1d8vxr0xdthhtb6zy1e97dt",
"label": "PawaPay",
"logoUrl": null,
"metadata": {
"connected_api": true,
"currency_code": "XAF",
"currency_name": "FCFA",
"notification": true
},
"shop_id": null,
"type": "pawapay",
"updated_at": "2025-10-03T10:35:13.000000Z"
},
"treasury_account_id": "01k1d8vxr0xdthhtb6zy1e97dt"
}
],
"links": {
"first": "http://genuka-api.test/2023-11/admin/payment-methods?page=1",
"last": "http://genuka-api.test/2023-11/admin/payment-methods?page=1",
"next": null,
"prev": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"active": false,
"label": "« Previous",
"page": null,
"url": null
},
{
"active": true,
"label": "1",
"page": 1,
"url": "http://genuka-api.test/2023-11/admin/payment-methods?page=1"
},
{
"active": false,
"label": "Next »",
"page": null,
"url": null
}
],
"path": "http://genuka-api.test/2023-11/admin/payment-methods",
"per_page": 10,
"to": 2,
"total": 2
}
}Paiement Methods
List payment methods
Retrieve a list of all active payment methods available for your store. This endpoint returns details such as the payment provider, configuration status, and availability, allowing you to manage and display supported payment options in your checkout flow.
GET
/
2023-11
/
admin
/
payment-methods
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Example:
"1"
Example:
"10"
Example:
"treasuryAccount"
Example:
"false"
Response
200 - application/json
200 OK
Show child attributes
Show child attributes
Example:
[
{
"account_id": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"configurations": [],
"id": "01k1d8sk6mz3r0fyqwmqr1y9k7",
"metadata": null,
"name": "Cash",
"processor": "cash",
"status": 1,
"treasury_account": {
"accounting_account_code": "571",
"balance": 26894,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-07-29T09:32:00.000000Z",
"id": "01k1amypn6xycwe7w948jp82zm",
"label": "Cash",
"logoUrl": null,
"metadata": {
"connected_api": false,
"currency_code": "XAF",
"currency_name": "FCFA",
"notification": false
},
"shop_id": null,
"type": "cash",
"updated_at": "2025-10-03T10:35:05.000000Z"
},
"treasury_account_id": "01k1amypn6xycwe7w948jp82zm"
},
{
"account_id": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"configurations": {
"api_token": "********************************"
},
"id": "01k1d8vxr5dbcjpm0gh2yqaf59",
"metadata": null,
"name": "PawaPay",
"processor": "pawapay",
"status": 1,
"treasury_account": {
"accounting_account_code": "538",
"balance": 37934,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-07-30T09:58:30.000000Z",
"id": "01k1d8vxr0xdthhtb6zy1e97dt",
"label": "PawaPay",
"logoUrl": null,
"metadata": {
"connected_api": true,
"currency_code": "XAF",
"currency_name": "FCFA",
"notification": true
},
"shop_id": null,
"type": "pawapay",
"updated_at": "2025-10-03T10:35:13.000000Z"
},
"treasury_account_id": "01k1d8vxr0xdthhtb6zy1e97dt"
}
]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
